{ pkgs }:
let
  # Inherit utilities
  inherit (pkgs) lib buildEnv;

  homeDir = builtins.getEnv "HOME";

in {
  allowUnfree = true;
  #jre = pkgs.oraclejre8;
  #jdk = pkgs.oraclejdk8;

  packageOverrides = pkgs: {

    workEnv = lib.lowPrio (buildEnv {
      name = "work-env";
      ignoreCollisions = true;
      paths = with pkgs; [
        sneakDefaultPkgs
        weechat
      ];
    });

    sneakDefaultPkgs = lib.lowPrio (buildEnv {
      name = "sneakDefaultPkgs";
      ignoreCollisions = true;
      paths = with pkgs; [
        clang
        ctags
        curl
        gitAndTools.git-annex
        gitAndTools.git-extras
        gitAndTools.git2cl
        gitAndTools.gitFull
        gitAndTools.tig
        gnupg
        go
        nix-prefetch-scripts
        nix-repl
        openssh
        pwgen
        qemu
        tmux
        tree
        vim
        wget
      ];
    });
  };
}
